# 78. Sorgu: "externalKey" ile "Fields" bul

“Tarla” kaydı sırasında üçüncü tarafın eklediği externalKey ile “Tarla”ları bulun.

### <mark style="color:Daha derin içgörüler elde etmek için bir sonraki aşama;">SEÇENEK 1</mark> getFields sorgusunu kullanarak

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FindFieldsByExternalKeyOption1 {
  getFields(filter: {
    fieldExternalKey: "<third_party_identificator>"
  }) {
    toplamSayı
    fields {
      uuid
      isim
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:Daha derin içgörüler elde etmek için bir sonraki aşama;">SEÇENEK 2</mark> getFarms sorgusunu kullanarak

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<third_party_identificator>"]) {
      uuid
      isim
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/78.-sorgu-externalkey-ile-fields-bul.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
